FilterGaussAdvancedBorder
Fixed Filters

Filters the image using a separable Gaussian filter kernel with user supplied floating point coefficients with border control. More...

## Functions

NppStatus | nppiFilterGaussAdvancedBorder_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned Gauss filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterGaussAdvancedBorder_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16u_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16u_AC4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned Gauss filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterGaussAdvancedBorder_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed Gauss filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterGaussAdvancedBorder_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point Gauss filter with border control. More...
NppStatus | nppiFilterGaussAdvancedBorder_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)
NppStatus | nppiFilterGaussAdvancedBorder_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point Gauss filter with border control, ignoring alpha channel. More...
NppStatus | nppiFilterGaussAdvancedBorder_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, const int nFilterTaps, const Npp32f *pKernel, NppiBorderType eBorderType)

## Detailed Description

Filters the image using a separable Gaussian filter kernel with user supplied floating point coefficients with border control.

If any portion of the mask overlaps the source image boundary the requested border type operation is applied to all mask pixels which fall outside of the source image.

Currently only the NPP_BORDER_REPLICATE and NPP_BORDER_MIRROR border type operations are supported.

### Common parameters for nppiFilterGaussAdvancedBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Source image width and height in pixels relative to pSrc.
  oSrcOffset | The pixel offset that pSrc points to relative to the origin of the source image.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nFilterTaps | The number of filter taps where nFilterTaps = 2 * ((int)((float)ceil(radius) + 0.5F) ) + 1.
  pKernel | Pointer to an array of nFilterTaps kernel coefficients which sum to 1.0F.
  eBorderType | The border type operation to be applied at source image border boundaries.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterGaussAdvancedBorder_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed Gauss filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned Gauss filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point Gauss filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned Gauss filter with border control, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

NppStatus nppiFilterGaussAdvancedBorder_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiFilterGaussAdvancedBorder_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | const int | nFilterTaps,
|  | const Npp32f * | pKernel,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned Gauss filter with border control.

For common parameter descriptions, see Common parameters for nppiFilterGaussAdvancedBorder functions.

Copyright © 2009-2018 NVIDIA Corporation